package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[IBZ5AccountDTO]
 */
@Data
public class IBZ5AccountDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [BANKACCOUNTNUM]
     *
     */
    @JSONField(name = "bankaccountnum")
    @JsonProperty("bankaccountnum")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String bankaccountnum;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [IBZ5ACCOUNTNAME]
     *
     */
    @JSONField(name = "ibz5accountname")
    @JsonProperty("ibz5accountname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ibz5accountname;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [BANKNAME]
     *
     */
    @JSONField(name = "bankname")
    @JsonProperty("bankname")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String bankname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [IBZ5ACCOUNTID]
     *
     */
    @JSONField(name = "ibz5accountid")
    @JsonProperty("ibz5accountid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ibz5accountid;


    /**
     * 设置 [BANKACCOUNTNUM]
     */
    public void setBankaccountnum(String  bankaccountnum){
        this.bankaccountnum = bankaccountnum ;
        this.modify("bankaccountnum",bankaccountnum);
    }

    /**
     * 设置 [IBZ5ACCOUNTNAME]
     */
    public void setIbz5accountname(String  ibz5accountname){
        this.ibz5accountname = ibz5accountname ;
        this.modify("ibz5accountname",ibz5accountname);
    }

    /**
     * 设置 [BANKNAME]
     */
    public void setBankname(String  bankname){
        this.bankname = bankname ;
        this.modify("bankname",bankname);
    }


}


